Bug 1276658 - missing dependency on yum
missing dependency on yum
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 07:50 EDT by Kamil Páral
Modified: 2015-11-30 04:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 04:57:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2015-10-30 07:50:33 EDT
Description of problem:
$ koji download-build --arch noarch --arch x86_64 mutter-3.18.1-4.fc23
Traceback (most recent call last):
  File "/usr/bin/koji", line 56, in <module>
    import yum.comps
ImportError: No module named yum.comps


Koji is missing dependency on yum. Please add it, or use some other library (dnf et al.).


Version-Release number of selected component (if applicable):
koji-1.10.0-2.fc23.noarch
Comment 1 Christian Stadelmann 2015-11-28 08:55:15 EST
I think this issue was fixed in 1.10.1-1.fc23. Can you please try again?
Comment 2 Victor Costan 2015-11-29 19:23:13 EST
FWIW, the update fixed it for me.
Comment 3 Kamil Páral 2015-11-30 04:57:56 EST
Yes, it seems it was.

Note You need to log in before you can comment on or make changes to this bug.